# jquery插件注册器

快速将一个构造函数注册成jquery插件

## 安装

commonJs

```
npm install --save jquery-register
```

```javascript
var jqueryRegister = require('jquery-register');
```

window

```javascript
var jqueryRegister = window.jqueryRegister;
```

## 使用

```javascript
    // 定义插件构造函数
    function Hello(){

    }
    Hello.defaultOptions = {
        // el 是必须的，用来指定插件绑定的元素
        el:'',
        name:''
    }
    Hello.prototype.init = function(options){
        var self = this;
        $.extend(self, Hello.defaultOptions, options);

        $(self.el).text('hello ' + self.name);
    }

    // 注册为jquery插件
    window.JQRegister.registerFromConstructor('hello', Hello);


    // 初始化插件
   $('#foo').hello({name:'小娜'}); 
```
